/*
 *  FSPluginConstant.h
 *  FStream
 *
 *  Created by Julien-Pierre Avérous on 12/05/07.
 *  Copyright 2007 SourceMac. All rights reserved.
 *
 */

/*
** Image identifier enum
*/
typedef enum
{
	kImagePlayOn,
	kImagePlayOff,
	kImagePlayDown,
	
	kImagePauseOn,
	kImagePauseOff,
	kImagePauseDown,
	
	kImageStopOn,
	kImageStopOff,
	kImageStopDown,
	
	kImageRecordOn,
	kImageRecordOff,
	kImageRecordDown,
	
	kImageReloadOn,
	kImageReloadOff,
	kImageReloadDown,
	
	kImageLoadingDown,
	kImageLoadingOff,
	kImageLoadingOn,
	
	kImagePopupDown,
	kImagePopupOff,
	kImagePopupOn,
	
	kImageVolumeDown,
	kImageVolumeOff,
	kImageVolumeOn,
	
	kImageBackRecordPanel,
	kImageBackPlayPanel
	
} FSPluginImage;


/*
** Text style identifier enum
*/
typedef enum
{
	kStyleText,
	kStylePercent
} FSPluginStyle;

/*
** Interface element identifier enum
*/
typedef enum
{
	kElementBack,
	kElementControler,
	kElementPopup,
	kElementVolume,
	kElementText,
	kElementPercent,
	kElementAll
} FSPluginElement;


/*
** Text prefix identifier enum
*/
typedef enum
{
	kPrefixStatus,
	kPrefixRadio,
	kPrefixTitle,
	kPrefixArtist,
	kPrefixAlbum,
} FSPluginPrefix;


/*
** Runner action (for animation)
*/
typedef enum
{
	kRunnerLoading,
	kRunnerRecording,
	kRunnerPlaying,
	kRunnerPaused,
	kRunnerStoped,
	kRunnerGlobal
} FSPluginRunnerAction;


/*
** Panel indentifier enum
*/
typedef enum
{
	kPanelPlay,
	kPanelRecord
} FSPluginPanel;
